Skip to main content
POST
/
availability-exception
/
user
Create user availability exception
curl --request POST \
  --url https://api.example.com/availability-exception/user \
  --header 'Content-Type: application/json' \
  --header 'x-meetergo-api-user-id: <api-key>' \
  --data '
{
  "available": true,
  "start": "<string>",
  "end": "<string>",
  "availabilityId": "<string>",
  "title": "<string>",
  "note": "<string>"
}
'
import requests

url = "https://api.example.com/availability-exception/user"

payload = {
"available": True,
"start": "<string>",
"end": "<string>",
"availabilityId": "<string>",
"title": "<string>",
"note": "<string>"
}
headers = {
"x-meetergo-api-user-id": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-meetergo-api-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
available: true,
start: '<string>',
end: '<string>',
availabilityId: '<string>',
title: '<string>',
note: '<string>'
})
};

fetch('https://api.example.com/availability-exception/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ownerId": "<string>",
  "available": true,
  "start": "<string>",
  "end": "<string>",
  "createdAt": "<string>",
  "id": 123,
  "title": "<string>",
  "note": "<string>",
  "deletedAt": "<string>"
}

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.

Query Parameters

userId
string

Body

application/json
available
boolean
required
start
string
required
end
string
required
availabilityId
string

Optional availability id, if not provided uses default availability.

title
string
note
string

Response

201 - application/json
ownerId
string
required
ownerType
enum<string>
required
Available options:
company,
user
available
boolean
required
start
string
required
end
string
required
createdAt
string
required
id
number
required
title
string
note
string
deletedAt
string | null